---
title: DOMImplementation.createDocument()
slug: Web/API/DOMImplementation/createDocument
tags:
  - API
  - DOM
  - DOMImplementation
  - Method
  - Reference
---
<p>{{ApiRef("DOM")}}</p>

<p>The <strong><code>DOMImplementation.createDocument()</code></strong> method creates and returns an {{domxref("XMLDocument")}}.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox">var <em>doc</em> = document.implementation.createDocument(<em>namespaceURI</em>, <em>qualifiedNameStr</em>, <em>documentType</em>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code>namespaceURI</code></dt>
 <dd>Is a {{domxref("DOMString")}} containing the namespace URI of the document to be created, or <code>null</code> if the document doesn't belong to one.</dd>
</dl>

<dl>
 <dt><code>qualifiedNameStr</code></dt>
 <dd>Is a {{domxref("DOMString")}} containing the qualified name, that is an optional prefix and colon plus the local root element name, of the document to be created.</dd>
</dl>

<dl>
 <dt><code>documentType</code><em> </em>{{optional_inline}}</dt>
 <dd>
 <p>Is the {{domxref("DocumentType")}} of the document to be created. It defaults to <code>null</code>.</p>
 </dd>
</dl>

<ul>
</ul>

<h2 id="Example">Example</h2>

<pre class="brush: js">var doc = document.implementation.createDocument ('http://www.w3.org/1999/xhtml', 'html', null);
var body = document.createElementNS('http://www.w3.org/1999/xhtml', 'body');
body.setAttribute('id', 'abc');
doc.documentElement.appendChild(body);
alert(doc.getElementById('abc')); // [object HTMLBodyElement]
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <tbody>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
  <tr>
   <td>{{SpecName('DOM WHATWG', '#dom-domimplementation-createdocument', 'DOMImplementation.createDocument')}}</td>
   <td>{{Spec2('DOM WHATWG')}}</td>
   <td>Modified the return type of <code>createDocument()</code> from {{domxref("Document")}} to {{domxref("XMLDocument")}}.<br>
    The third argument of <code>createDocument()</code>, <em>doctype</em>, is now optional and default to <code>null</code>.</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM3 Core', 'core.html#Level-2-Core-DOM-createDocument', 'DOMImplementation.createDocument')}}</td>
   <td>{{Spec2('DOM3 Core')}}</td>
   <td>No change from {{SpecName("DOM2 Core")}}</td>
  </tr>
  <tr>
   <td>{{SpecName('DOM2 Core', 'core.html#Level-2-Core-DOM-createDocument', 'DOMImplementation.createDocument')}}</td>
   <td>{{Spec2('DOM2 Core')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.DOMImplementation.createDocument")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("DOMImplementation")}} interface it belongs to.</li>
</ul>
